Add Records to a List
curl --request PUT \
--url https://api.hubapi.com/crm/lists/2026-03/{listId}/memberships/add \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
"<string>"
]'import requests
url = "https://api.hubapi.com/crm/lists/2026-03/{listId}/memberships/add"
payload = ["<string>"]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify(['<string>'])
};
fetch('https://api.hubapi.com/crm/lists/2026-03/{listId}/memberships/add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"recordIdsMissing": [
"<string>"
],
"recordIdsRemoved": [
"<string>"
],
"recordsIdsAdded": [
"<string>"
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Memberships
Add records to a list
Add the records provided to the list. Records that do not exist or that are already members of the list are ignored.
This endpoint only works for lists that have a processingType of MANUAL or SNAPSHOT.
PUT
/
crm
/
lists
/
2026-03
/
{listId}
/
memberships
/
add
Add Records to a List
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ILS ID of the MANUAL or SNAPSHOT list.
Body
application/json
Last modified on March 31, 2026
Was this page helpful?
⌘I